from django.contrib import admin
#from import_export.admin import ImportExportModelAdmin

from .models import *

class GES_APPLinkAdmin_TagInline(admin.TabularInline):
	model = GES_APPLink
	extra = 1
	pass

@admin.register(GES_Fonction)
class GES_FonctionAdmin(admin.ModelAdmin):
	pass

@admin.register(GES_APPMat)
class GES_APPMatAdmin(admin.ModelAdmin):
	list_display = ('GES_Fonction', 'Select_GES_APPs', 'Select_GES_Service',)
	filter_horizontal = ('GES_Service','GES_APPs',)
	pass

@admin.register(GES_APP)
class GES_APPAdmin(admin.ModelAdmin):
	list_display = ['GESAP_Nom', 'GESAP_ltype','GESAP_Procedure', 'GESAP_Actif', ]
	pass

@admin.register(GES_User)
class GES_UserAdmin(admin.ModelAdmin):
	list_display = ['GES_Site', 'GES_Service', 'GES_Nom', 'GES_Prenom', ]
	inlines = [GES_APPLinkAdmin_TagInline]
	exclude = ('GES_APPs',)
	list_filter = ('GES_Date',)
	search_fields = ['GES_Nom', 'GES_Prenom']
	pass


